### Method

# AppStream SystemInfo get_modaliases

#### Declaration [src]

    GPtrArray*
    as_system_info_get_modaliases (
      AsSystemInfo* sysinfo
    )

#### Description [src]

Get a list of modaliases for all the hardware on this system that has them.

#### Return value

Type: An array of `utf8`

A list of modaliases on the system.

The data is owned by the instance.
Each element is a NUL terminated UTF-8 string.